# SPDX-FileCopyrightText: 2024 <wmj.py@gmx.com>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

# -*- coding: utf-8 -*-

HISTORICAL_CURRENCY_DATA = (
    ("ADP", "020"),  # 0 	Andorran peseta 	1869 	1999-01-01 	EUR
    ("AFA", "004"),  # 2 	Afghan afghani 	1925 	2003 	AFN
    ("ALK", "008"),  # . 	Old Albanian lek 	1946 	1965
    ("AOK", "024"),  # 0 	Angolan kwanza 	1977-01-08 	1990-09-24 	AON (AOA)
    ("AON", "024"),  # 0 	Angolan novo kwanza 	1990-09-25 	1995-06-30 	AOR (AOA)
    ("AOR", "982"),  # 0 	Angolan kwanza reajustado 	1995-07-01 	1999-11-30 	AOA
    ("ARA", "032"),  # 2 	Argentine austral 	1985-06-15 	1991-12-31 	ARS
    ("ARP", "032"),  # 2 	Argentine peso argentino 	1983-06-06 	1985-06-14 	ARA (ARS)
    ("ARY", "032"),  # . 	Argentine peso ley 	January 1970 	1983-06-06 	ARP (ARS)
    ("ATS", "040"),  # 2 	Austrian schilling 	1945 	1999-01-01 	EUR
    ("AYM", "945"),  # 0 	Azerbaijani manat
    ("AZM", "031"),  # 2 	Azerbaijani manat 	1992-08-15 	2006-01-01 	AZN
    ("BAD", "070"),  # 2 	Bosnia and Herzegovina dinar 	1992-07-01 	1998-02-04 	BAM
    ("BEC", "993"),  # . 	Belgian convertible franc (funds code) 		1990-05-01[25]
    ("BEF", "056"),  # 2 	Belgian franc 	1832 	1999-01-01 	EUR
    ("BEL", "992"),  # . 	Belgian financial franc (funds code)
    ("BGJ", "100"),  # . 	Bulgarian lev (first) 	1881 	1952 	BGK
    ("BGK", "100"),  # . 	Bulgarian lev (second) 	1952 	1962 	BGL
    ("BGL", "100"),  # 2 	Bulgarian lev (third) 	1962 	1999-08-31 	BGN
    ("BOP", "068"),  # 2 	Bolivian peso 	1963-01-01 	1987-01-01 	BOB
    ("BRB", "076"),  # 2 	Brazilian cruzeiro 	1967 	1986-02-28 	BRC (BRL)
    ("BRC", "076"),  # 2 	Brazilian cruzado 	1986-02-28 	1989-01-15 	BRN (BRL)
    ("BRE", "076"),  # 2 	Brazilian cruzeiro 	1990-03-15 	1993-08-01 	BRR (BRL)
    ("BRN", "076"),  # 2 	Brazilian cruzado novo 	1989-01-16 	1990-03-15 	BRE (BRL)
    ("BRR", "987"),  # 2 	Brazilian cruzeiro real 	1993-08-01 	1994-06-30 	BRL
    ("BUK", "104"),  # . 	Burmese kyat 			MMK
    ("BYB", "112"),  # 2 	Belarusian ruble 	1992 	1999-12-31 	BYR (BYN)
    ("BYR", "974"),  # 0 	Belarusian ruble 	2000-01-01 	2016-06-30 	BYN
    ("CHC", "948"),  # 2 	WIR franc (for electronic currency) 		2004–12 	CHW[26]
    ("CSD", "891"),  # 2 	Serbian dinar 	2003-07-03 	2006-10-25[27] 	RSD
    ("CSJ", "203"),  # . 	Czechoslovak koruna (second) 		1953 	CSK
    ("CSK", "200"),  # 	Czechoslovak koruna 	1953 	1993-02-08 	CZK/SKK (CZK/EUR)
    ("CUC", "931"),  # 2 	Cuban convertible peso 		2022 	CUP
    ("CYP", "196"),  # 2 	Cypriot pound 	1879 	2006-01-01 	EUR
    ("DDM", "278"),  # 	East German mark 	1948-06-21 	1990-07-01 	DEM (EUR)
    ("DEM", "276"),  # 2 	German mark 	1948 	1999-01-01 	EUR
    ("ECS", "218"),  # 0 	Ecuadorian sucre 	1884 	2000-02-29 	USD
    ("ECV", "983"),  # 2 	Ecuador Unidad de Valor Constante (funds code) 	1993 	2000-02-29 	—
    ("EEK", "233"),  # 2 	Estonian kroon 	1992 	2011-01-01[29] 	EUR
    ("ESA", "996"),  # 	Spanish peseta (account A) 	1978 	1981 	ESP (EUR)
    ("ESB", "995"),  # 	Spanish peseta (account B) 	? 	1994-12 	ESP (EUR)
    ("ESP", "724"),  # 0 	Spanish peseta 	1869 	1999-01-01 	EUR
    ("FIM", "246"),  # 2 	Finnish markka 	1860 	1999-01-01 	EUR
    ("FRF", "250"),  # 2 	French franc 	1960 	1999-01-01 	EUR
    ("GEK", "268"),  # 0 	Georgian kuponi 	1993-04-05 	1995-10-02 	GEL
    ("GHC", "288"),  # 2 	Ghanaian cedi 	1967 	2007-07-01 	GHS
    ("GHP", "939"),  # 2 	Ghanaian cedi 		2007-06-18[30] 	GHS
    ("GNE", "324"),  # 	Guinean syli 	1971 	1985-12-31 	GNF
    ("GNS", "324"),  # . 	Guinean syli 	1971 	1985 	GNF
    ("GQE", "226"),  # 	Equatorial Guinean ekwele 	1975 	1985-12-31 	XAF
    ("GRD", "300"),  # 0, 2 	Greek drachma 	1954-05-01[31] 	2001-01-01[31] 	EUR
    ("GWE", "624"),  # . 	Guinean escudo 			GWP
    ("GWP", "624"),  # 2 	Guinea-Bissau peso 	1975 	1997-05-31 	XOF
    ("HRD", "191"),  # 2 	Croatian dinar 	1991-12-23 	1994-05-30 	HRK
    ("HRK", "191"),  # 2 	Croatian kuna 	1994-05-30 	2023-01-01 	EUR[32]
    ("IEP", "372"),  # 2 	Irish pound 	1938 	1999-01-01 	EUR
    ("ILP", "376"),  # 3, 2 	Israeli pound 	1948 	1980-02-20 	ILR (ILS)
    ("ILR", "376"),  # 2 	Israeli shekel 	1980-02-24 	1985-12-31 	ILS
    ("ISJ", "352"),  # 2 	Icelandic króna 	1922 	1981-06-30 	ISK
    ("ITL", "380"),  # 0 	Italian lira 	1861 	1999-01-01 	EUR
    ("LAJ", "418"),  # 	Lao kip 	1965 	1979-12-31 	LAK
    ("LSM", "426"),  # . 	Lesotho loti
    ("LTL", "440"),  # 2 	Lithuanian litas 	1993 	2015-01-01 	EUR
    ("LTT", "440"),  # 2 	Lithuanian talonas[33] 			LTL
    ("LUC", "989"),  # . 	Luxembourg convertible franc (funds code)
    ("LUF", "442"),  # 2 	Luxembourg franc 	1944 	1999-01-01 	EUR
    ("LUL", "988"),  # . 	Luxembourg financial franc (funds code)
    ("LVL", "428"),  # 2 	Latvian lats 	1993-03-05 	2014-01-01 	EUR
    ("LVR", "428"),  # 2 	Latvian rublis 	1992-05-04 	1993-03-05 	LVL
    ("MGF", "450"),  # 0 	Malagasy franc 	1963-07-01 	2005-01-01 	MGA
    ("MLF", "466"),  # 	Malian franc 	1962 	1984-01-01 	XOF
    ("MRO", "478"),  # 2 	Mauritanian ouguiya 	1973-06-29 	2018-01-01 	MRU
    ("MTL", "470"),  # 2 	Maltese lira 	1972-05-26[34] 	2006-01-01 	EUR
    ("MTP", "470"),  # . 	Maltese pound 			MTL
    ("MVQ", "462"),  # 	Maldivian rupee 	? 	1981-12-31 	MVR
    ("MXP", "484"),  # 	Mexican peso 	? 	1993-03-31 	MXN
    ("MZE", "508"),  # 2 	Mozambican escudo 	1914 	1980 	MZN
    ("MZM", "508"),  # 2 	Mozambican metical 	1980 	2006-06-30 	MZN
    ("NIC", "558"),  # 2 	Nicaraguan córdoba 	1988 	1990-10-31 	NIO
    ("NLG", "528"),  # 2 	Dutch guilder 	1810s 	1999-01-01 	EUR
    ("PEH", "604"),  # 	Peruvian old sol 	1863 	1985-02-01 	PEI (PEN)
    ("PEI", "604"),  # 	Peruvian inti 	1985-02-01 	1991-10-01 	PEN
    ("PES", "604"),  # 2 	Peruvian sol 	1863 	1985 	PEI[35]
    ("PLZ", "616"),  # 2 	Polish zloty 	1950-10-30 	1994-12-31 	PLN
    ("PTE", "620"),  # 0 	Portuguese escudo 	1911-05-22 	1999-01-01 	EUR
    ("RHD", "716"),  # 2 	Rhodesian dollar 	1970 	1980 	ZWC
    ("ROK", "642"),  # . 	Romanian leu (second) 	1947 	1952 	ROL
    ("ROL", "642"),  # 0 	Romanian leu (third) 	1952-01-28 	2005 	RON
    ("RUR", "810"),  # 2 	Russian ruble 	1992 	1997-12-31 	RUB
    ("SDD", "736"),  # 2 	Sudanese dinar 	1992-06-08 	2007-01-10 	SDG
    ("SDP", "736"),  # 	Sudanese old pound 	1956 	1992-06-08 	SDD (SDG)
    ("SIT", "705"),  # 2 	Slovenian tolar 	1991-10-08 	2007-01-01[29] 	EUR
    ("SKK", "703"),  # 2 	Slovak koruna 	1993-02-08 	2009-01-01[29] 	EUR
    ("SLL", "694"),  # 2 	Sierra Leonean leone (old leone)[12][13][14][36] 	 Sierra Leone
    ("SRG", "740"),  # 2 	Surinamese guilder 	1942 	2004 	SRD
    ("STD", "678"),  # 2 	São Tomé and Príncipe dobra 	1977 	2018-04-01 	STN
    ("SUR", "810"),  # 	Soviet Union ruble 	1961 	1991-12-26 	RUR (RUB/AMD/AZN/BYN/EUR/GEL/KZT/KGS/MDL/TJS/TMT/UAH/UZS)
    ("TJR", "762"),  # 0 	Tajikistani ruble 	1995-05-10 	2000-10-30 	TJS
    ("TMM", "795"),  # 2 	Turkmenistani manat 	1993-11-1 	2008-12-31 	TMT
    ("TPE", "626"),  # 0 	Portuguese Timorese escudo 	1959 	1976 	USD
    ("TRL", "792"),  # 0 	Turkish lira 	1923 	2005-12-31 	TRY
    ("UAK", "804"),  # 2 	Ukrainian karbovanets 	1992-10-1 	1996-09-01 	UAH
    ("UGS", "800"),  # 	Ugandan shilling 	1966 	1987-12-31 	UGX
    ("UGW", "800"),  # 	Old Shilling 	1989 	1990 	Uganda
    ("USS", "998"),  # 2 	United States dollar (same day) (funds code)[37] 	? 	2014-03-28[38] 	—
    ("UYN", "858"),  # 2 	Uruguay peso 	1896 	1975-07-01 	UYP
    ("UYP", "858"),  # 	Uruguay new peso 	1975-07-01[39] 	1993-03-01 	UYU
    ("VEB", "862"),  # 2 	Venezuelan bolívar 	1879-03-31 	2008-01-01 	VEF (VES)
    ("VEF", "937"),  # 2 	Venezuelan bolívar fuerte 	2008-01-01 	2018-08-20[11] 	VES
    ("VNC", "704"),  # . 	Old Vietnamese dong
    ("XEU", "954"),  # 0 	European Currency Unit 	1979-03-13 	1998-12-31 	EUR
    ("XFO", None),  # 	Gold franc (special settlement currency) 	1803 	2003 	XDR
    ("XFU", None),  # . 	UIC franc (special settlement currency) 	? 	2013-11-07[40] 	EUR
    ("XRE", None),  # . 	RINET funds code[41]
    ("YDD", "720"),  # 	South Yemeni dinar 	1965 	1996-06-11 	YER
    ("YUD", "890"),  # 2 	Yugoslav dinar 	1966-01-01 	1989-12-31 	YUN (MKD/RSD/EUR/HRK/BAM)
    ("YUM", "891"),  # 2 	Yugoslav dinar 	1994-01-24 	2003-07-02 	CSD (RSD/EUR)
    ("YUN", "890"),  # 2 	Yugoslav dinar 	1990-01-01 	1992-06-30 	YUR (MKD/RSD/EUR/HRK/BAM)
    ("ZAL", "991"),  # 2 	South African financial rand (funds code) 	1985-09-01 	1995-03-13 	—
    ("ZMK", "894"),  # 2 	Zambian kwacha 	1968-01-16[42] 	2013-01-01 	ZMW
    ("ZRN", "180"),  # 2 	Zairean new zaire 	1993 	1997 	CDF
    ("ZRZ", "180"),  # 2 	Zairean zaire 	1967 	1993 	ZRN (CDF)
    ("ZWC", "716"),  # 2 	Rhodesian dollar 	1970-02-17 	1980 	ZWD (USD/ZWG)
    ("ZWD", "716"),  # 2 	Zimbabwean dollar (first) 	1980-04-18 	2006-07-31 	ZWN (USD/ZWG)
    ("ZWN", "942"),  # 2 	Zimbabwean dollar (second) 	2006-08-01 	2008-07-31 	ZWR (USD/ZWG)
    ("ZWR", "935"),  # 2 	Zimbabwean dollar (third) 	2008-08-01 	2009-02-02 	ZWL[i] (USD/ZWG)
    ("ZWL", "932"),  # 2 	Zimbabwean dollar (fourth & fifth)[i] 	2009-02-02 	2024-09-01[20] 	ZWG
)